> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by details

> Find products and brands. Search by name or description and narrow the results by product type or owner.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/products
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/products:
    post:
      tags:
        - Products
      summary: Find by details
      description: >-
        Find products and brands. Search by name or description and narrow the
        results by product type or owner.
      operationId: findProducts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindProductsRequest'
      responses:
        '200':
          description: Successful response with products data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FindProductsResponse'
components:
  schemas:
    FindProductsRequest:
      type: object
      properties:
        query:
          type: string
          description: >-
            Text query to search for products by name or description. Examples:
            'iPhone', 'Model 3'
          example: iPhone
        types:
          type: array
          items:
            type: string
          description: >-
            Product types, as published in the `type` field of results (e.g.,
            'Mobile Phones')
          example:
            - Mobile Phones
        owners:
          type: array
          items:
            type: string
          description: >-
            Names of the owning company, as published in the `owner` field of
            results (e.g., 'Apple Inc.')
          example:
            - Apple Inc.
      description: >-
        Request body for finding products. Each field is optional. However, you
        must provide at least one field to perform a valid search. The values a
        filter accepts can be listed with `GET
        /v1/knowledge-graph/products/values/{filter}`.
      example:
        query: iPhone
        owners:
          - Apple Inc.
    FindProductsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Product'
          description: Array of products results
        metadata:
          type: object
          properties:
            request_id:
              type: string
              description: Unique request identifier
              example: 2a25111e-0043-4fe2-946e-668aa5af928a
            timestamp:
              type: string
              format: date-time
              description: Response timestamp
              example: '2026-07-02T13:24:45.163695+00:00'
          required:
            - request_id
            - timestamp
        usage:
          $ref: '#/components/schemas/Usage'
          description: >-
            Optional. Present for token-billing accounts only. Reports the
            number of tokens consumed by this request.
      required:
        - results
        - metadata
      description: Response containing products results and metadata
    Product:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier in the Knowledge Graph
          example: 7373D4
        name:
          type: string
          description: Name
          example: iPhone
        description:
          type: string
          description: Description and overview
          example: >-
            iPhone is a line of smartphones designed and marketed by Apple Inc.
            It runs Apple's iOS mobile operating system.
        type:
          type: string
          description: Product type
          example: Mobile Phones
        owner:
          type: string
          description: Name of the owning company
          example: Apple Inc.
      required:
        - id
        - name
      description: Product entity with detailed information
    Usage:
      type: object
      properties:
        knowledge_graph_tokens:
          type: integer
          description: Number of tokens consumed by this request.
          example: 1
      required:
        - knowledge_graph_tokens
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````